“天文学”工具可以用来查看太阳或月亮是否已升起。此工具也可用来获知正在发生的天文学时间，例如流星雨或月食。

除了日出或日落前的时间（总是今天），页面上显示的所有信息都针对所选日期。默认情况下会选中今天，但你可以点击屏幕顶部的日历图标来改变它。此外，你也可以使用箭头移动到下一天/上一天，或长按日历图标快速跳转到今天所在日期。

你也可以点击搜索图标来寻找在你所在位置发生的下一次天文事件，例如下一次满月或流星雨。

## 至日出/日落时间

距离日出或日落的时间显示在屏幕顶部，使用“设置 > 天文学”中的“日出/日落时间”设置。对于各个时间的描述，请参阅下面的“太阳”部分。

## 图表
图表显示了一天中太阳和月亮的位置。X 轴是时间，Y 轴是在天空中的高度。你可以点击图表中的太阳或月亮图标来查看其当前位置。这样做时会出现滑块，你可以借此查看它在一天中不同时间的位置。

你也可以通过在“设置 > 天文学”中启用“保持太阳/月亮居中”，使当前时间在图表中保持居中。当选择“今天”时，这将使当前时间保持在图表中央，并显示当前时间前后 12 小时的位置。如果你选择了不同的日期，则会显示全天位置。

## 太阳
所有与太阳有关的时间都使用“设置 > 天文学”中的“日出/日落时间”设置。阅读下文以获取关于各个时间的描述。

距离日出或日落的时间显示在屏幕顶部。

图表下方会显示日出、日落、正午的时间与白天长度。点击此部分可查看关于当天太阳的更多细节：

- **实际**：日出、日落和正午的实际时间，即太阳在地平线上的时间。
- **民用**：太阳在地平线以下 0 到 6 度之间。有足够光照看清物体。
- **航海**：太阳在地平线以下 6 到 12 度之间。地平线依然可见，但太暗而看不清物体。
- **天文**：当太阳在地平线以下 12 到 18 度之间。此时完全黑暗，但非常适合观星。
- **最高高度**：太阳在天空中到达的最高点，在地平线上以度为单位表示。
- **日光**：太阳位于地平线上的时长。
- **夜光**：太阳位于地平线下的时长。
- **季节**：基于地球绕太阳公转位置的天文季节。可以是春季、夏季、秋季或冬季。
- **高度**：太阳在地平线上的当前角度，以度为单位显示。
- **方位角**：当前太阳所在方向，以度为单位显示。

## 月亮
图表下方会显示月出、月落和月亮正午的时间，以及当前的月相和照度百分比。点击此部分可查看关于当天月亮的更多细节：

- **时间**：月亮升起、落下和月亮正午的时间。
- **月相**：月亮出现在天空中的相位。
- **照度**：月亮被照亮区域的百分比。满月的照度为 100%，新月则为 0%。
- **最高高度**：月亮在天空中到达的最高点，在地平线上以度数显示。
- **超级月亮**：此时月亮比正常情况下更接近地球，在天空中显得更大更亮。

## 流星雨
如果流星雨高潮在你的位置与选定日期发生，它将在列表中显示。会显示流星雨的开始、高潮与结束时间，以及每小时平均流星数量。你可以点击流星雨查看更多细节：

- **时间**：流星雨的开始、高峰和结束时间。
- **名称**：流星雨的名称。
- **速率**：每小时平均流星数量。
- **最高高度**：天空中辐射（流星大致来自的区域）达到的最高点，在地平线上以度为单位显示。
- **峰值方向**：辐射所在的方向。

## 月食
如果月食在你的位置与选定日期发生，它将在列表中显示。会显示月食的开始、高潮与结束时间，以及月亮被遮蔽的量。你可以点击月食查看更多细节：

- **时间**：月食的开始、高潮和结束时间。
- **持续时间**：月食的持续时间。
- **遮蔽**：月亮被遮蔽的百分比。
- **等级**：月食的等级。指月亮被遮蔽区域的直径。
- **最高高度**：月食高潮时月亮的高度，在地平线上以度为单位显示。
- **峰值方向**：月食高潮时月亮所在方向。

## 日食
如果日食在你的位置与选定日期发生，它将在列表中显示。会显示日食的开始、高潮与结束时间，以及太阳被遮蔽的量。你可以点击日食查看更多细节：

- **时间**：日食的开始、高潮和结束时间。
- **持续时间**：日食的持续时间。
- **遮蔽**：太阳被遮蔽的百分比。
- **等级**：日食的等级。指太阳被遮蔽区域的直径。
- **最高高度**：日食高潮时太阳的高度，在地平线上以度为单位显示。
- **高峰方向**：日食高潮时太阳所在方向。

## 日落提醒
可以为日落设置提醒，以避免在黑暗中被困户外。要设置警报，请打开“设置 > 天文学”并启用“日落提醒”。你可以调整“日落提醒时间”设置，以确定你希望提前收到通知的时间。还有日落提醒的快速操作，更多信息参见下文。

## 天文提醒
可以为天文事件设置提醒，以确保不会错过它们。要设置提醒，请打开“设置 > 天文学”并启用希望在所在位置收到的提醒。你可以收到有关流星雨、月食和日食的通知。将在天文事件开始前最多 24 小时内显示。

## 3D 视图查看
如果你启用了实验性的“增强现实”工具，就会看到“3D 视图查看”按钮。点击此按钮将打开使用选定日期的“增强现实”工具，你可以用相机查看一天中太阳和月亮的位置。

## 快速操作
你可以在设置中为需要使用“日落提醒”操作的标签页启用快速操作。

要使用快速操作，请点击“日落提醒”快速操作按钮将其开启或关闭。
