“路径”工具可以在徒步旅行时用来记录路径点或追踪路径。

## Backtrack
Backtrack 功能可以用来在徒步旅行时自动记录路径，点击屏幕右下角的“开始”按钮启动此功能。屏幕上会出现一个通知，显示你已经走了多远。点击通知中的停止按钮或屏幕右下角的停止按钮，即可停止记录。

要更改记录频率，请单击左下角 Backtrack 标签下的时间并输入新的间隔时间。

Backtrack 可以记录每个点的手机信号强度，可在“设置 > 路径 > 记录手机信号”中启用。如果还启用了“设置 > 导航 > 最后信号信标”，则会在最后一个有手机信号的已知位置处创建信标。

默认情况下，Backtrack 路径是临时的，会在“设置 > 路径 > Backtrack 历史记录”指定的天数后删除。你可以选择永久保留路径，点击路径行上的菜单按钮并选择“永久保留”即可。

## 创建路径
可以选择通过以下方式手动创建路径：

1. 点击屏幕右下角的“+”按钮。
2. 点击“路径”。
3. 给路径命名，然后点击“确定”。
4. 单击“+ 点”按钮，向路径上添加当前位置对应点。点的数量不受限制。

## 导入路径
如果有保存在 GPX 文件中的轨迹或路线，可以将它们作为路径导入 Trail Sense。

1. 点击屏幕右下角的“+”按钮。
2. 点击“GPX 文件”。
3. 选择要加载路径的 GPX 文件。
4. 点击“确定”，确认要导入的路径。可以取消勾选不想导入的路径。
5. 路径将在当前分组中创建。

## 查看路径
点击列表中的路径可以进行查看。这将打开路径详情页面，显示以下信息：

- **名称**：路径的名称。
- **分组**：路径所在分组，可以点击分组名称将其移动到其他分组。
- **地图**：显示路径与当前位置的地图。可以拖动手指移动地图，捏合手指进行缩放。还可以点击地图上的某个点来选择该点。地图右下方显示比例尺。点击地图左下角的展开按钮可以放大地图。
- **选中点**：地图上当前选中的点。会显示时间、手机信号强度、海拔与坡度。可以点击该点的菜单按钮导航到此处、为该点创建信标或将其删除。再点击一次可取消选中。
- **持续时间**：记录路径所花时间。
- **距离**：路径的距离。
- **点数**：路径中点的总数目。
- **难度**：对路径难度的估计。根据距离、海拔变化与坡度计算。
- **上行**：路径一共升高的海拔高度。
- **下行**：路径一共降低的海拔高度。
- **最低点**：路径的海拔最低点。点击在地图上选择。
- **最高点**：路径的海拔最高点。点击在地图上选择。
- **标高图**：显示路径海拔高度随距离变化的图表。点击图表上的一个点即可将其选中。
- **点**：要查看路径中的点列表，请单击右上角的菜单按钮并选择“点”。点击点可将其选中，单击点上的菜单按钮可导航到该点、为其创建信标或删除该点。

## 路径样式
打开路径后从屏幕顶部的下拉菜单中选择线条样式或线条颜色，即可调整路径的外观，选择点样式可以改变路径点的外观。可在以下点样式中进行选择：

- **无**：不显示点。
- **手机信号**：显示各点的手机信号强度。
- **海拔**：显示各点的海拔高度。
- **时间**：显示各点的记录时间。
- **坡度**：显示各点的坡度。

路径图下方的关键字解释了这些颜色。

在“设置 > 路径 > 默认路径样式”中可设置默认的路径线样式，在“设置 > 导航 > 默认路径颜色”中可设置颜色。

## 简化路径
路径可以简化以减少航点数。这有助于提高路径渲染的性能，并可通过消除 GPS 误差来提高路径的精确度。

要简化路径，请打开路径，点击屏幕右上角的菜单按钮，选择“简化路径”并选择所需质量。质量高意味着删除的点数少，质量低意味着删除的点数多。

一旦路径被简化，就无法撤销。

可以选择自动简化从 GPX 文件导入的路径：启用“设置 > 路径 > 导入时简化路径”。

## 导航到路径
打开路径并点击底部的“导航”按钮，即可导航到路径上最近的点。这将打开以路径为目的地的导航工具。也可以单击要导航的路径行上的菜单按钮，然后选择“导航”。

默认情况下，这只会导航到路径上记录的航点。不过也可以禁用“设置 > 路径 > 只导航到记录的点”，选择导航到路径上的任何位置。这将假定路径是点与点之间的直线。

路径在雷达指南针（请参阅“导航”指南）和照片地图（请参阅“照片地图”指南）上也是可见的。

## 路径可见性
点击路径行右侧的菜单按钮并选择“隐藏”或“显示”，可选择“导航”与“照片地图”工具中可见的路径。

## 删除路径
要删除路径，请点击待删除的路径行的菜单按钮，然后选择“删除”。

## 导出路径
要导出路径，请打开待导出分组，点击右上角的菜单按钮，选择“导出”，取消勾选不想导出的路径，然后点击“确定”。所选路径将导出到 GPX 文件。

如果要导出单个路径，也可以点击待导出的路径行的菜单按钮，然后选择“导出”。

## 组织路径
你可以将路径组织成组。要创建新分组，请点击路径列表右下方的“+”按钮并选择“分组”，为其命名，然后点击“确定”。点击列表中的分组即可将其打开。

当有分组打开时，新建的路径与分组将被添加到此分组。

要更改现有路径分组，请点击要移动的路径行的菜单按钮，选择“移动到”，然后选择目标分组。

要重新命名分组，请点击要重新命名的路径行的菜单按钮，选择“重命名”并提供新名称。

单击要删除的分组行的菜单按钮，然后选择“删除”，即可删除此分组（以及其中的所有路径）。

## 搜索路径
用路径列表顶部的搜索框搜索已创建的路径。该搜索包括当前分组和所有子分组。此外，还可以点击右上角的菜单按钮并选择“排序”，按距离、时间、长度或名称对路径进行排序。

## 改善体验
如果你在使用“路径”工具时遇到性能问题，可以启用“设置 > 路径 > 快速路径渲染”，以降低外观的代价加速渲染路径。

## 快速操作
你可以在设置中为希望使用 Backtrack 功能的标签页启用快速操作。

要使用快速操作，点击 Backtrack 按钮切换其开关。可以长按按钮打开“路径”工具。
