「天文」工具可以用於查看太陽或月亮何時升起。它也可以用來了解天文事件何時發生，例如流星雨或月食。

除距離日出或日落時間（始終是今天）外，頁面上顯示的所有資訊均適用於所選擇的日期。預設情況下已選擇為今天，但是你可以透過點擊螢幕頂部的日曆圖示來更改它。此外，你可以使用箭頭移至下一個／上一個日期，或長按日曆以快速跳到今天的日期。

你也可以點擊搜尋圖示來尋找你所在位置下一次發生的天文事件，例如下一次滿月或流星雨。

## 距離日出／日落時間

距離日出或日落的時間顯示在螢幕頂部。這遵循「設定」>「天文」中的「日出／日落時間」。有關每個時間的描述，請參閱下面的「太陽」章節。

## 圖表
圖表顯示了一天中太陽和月亮的位置。X 軸是時間，Y 軸是高度。你可以點擊圖表中的太陽或月亮圖示以查看其目前位置。當你這樣做時，將會出現一個滑桿，以便你可以查看其在一天中不同時間的位置。

你還可以透過在「設定」>「天文」中啟用「保持太陽／月亮居中」以選擇將目前時間保持在圖表的中心位置。當你選擇「今天」時，這將會使目前時間保持在圖表的中心位置，並將會顯示目前時間前後 12 小時。如果你選擇了不同的日期，它將會顯示一整天。

## 太陽
所有與太陽相關的時間均遵循「設定」>「天文」中的「日出／日落時間」。有關每個時間的描述，請參閱下文。

距離日出或日落的時間顯示在螢幕頂部。

日出、日落和中午的時間，以及一天的長度均顯示在圖表下方。如果你點擊此部分，你將會看到有關今天太陽的更多詳細資訊：

- **實際：** 這是太陽位於地平線的日出、日落和中午的實際時間。
- **民用：** 這是太陽位於地平線以下 0 至 6 度之間的日出、日落和中午的民用時間。有足夠的光線可以清楚地看到物體。
- **航海：** 這是太陽位於地平線以下 6 至 12 度之間的日出、日落和中午的航海時間。地平線仍然可見，但是太暗而看不清楚物體。
- **天文：** 這是太陽位於地平線以下 12 至 18 度之間的日出、日落和中午的天文時間。天色完全黑了，但是非常適合觀星。
- **最高高度：** 這是太陽在天空中達到的最高點。它以地平線上方的度數顯示。
- **日光：** 這是太陽升起的時間。
- **夜晚：** 這是太陽落下的時間。
- **季節：** 這是基於地球圍繞太陽的位置的天文季節。它會是以下之一：春季、夏季、秋季或冬季。
- **高度：** 這是目前太陽與地平線上方的角度。它以度數顯示。
- **方向：** 這是太陽目前的方向。它以度數顯示。

## 月亮
月出、月落和月中午的時間，以及目前的月相和照度百分比均顯示在圖表下方。如果你點擊此部分，你將會看到有關今天月亮的更多詳細資訊：

- **時間：** 這是月出、月落和月中午的時間。
- **月相：** 這是月亮在天空中出現的目前相位。
- **照度：**: 這是月亮被照亮的百分比。滿月的照度為 100%，新月的照度為 0%。
- **最高高度：** 這是月亮在天空中達到的最高點。它以地平線上方的度數顯示。
- **超級月亮：** 此時月亮比平常更接近地球，使其在天空中顯得更大、更亮。

## 流星雨
如果你所在位置的選定日期發生流星雨高峰，它將會顯示在列表中。它顯示流星雨的開始、高峰和結束時間，以及每小時流星的平均數量。你可以點擊流星雨以查看更多詳細資訊：

- **時間：** 這是流星雨的開始、高峰和結束時間。
- **名稱：** 這是流星雨的名稱。
- **流量：** 這是每小時流星的平均數量。
- **高峰高度：** 這是天空中達到最高峰的輻射點（流星似乎來自的區域）。它以地平線上方的度數顯示。
- **高峰方向：** 這是輻射點所在的方向。

## 月食
如果你所在位置的選定日期發生月食，它將會顯示在列表中。它顯示月食的開始、高峰和結束時間，以及月食的面積。你可以點擊月食以查看更多詳細資訊：

- **時間：** 這是月食的開始、高峰和結束時間。
- **時長：** 這是月食的持續時間。
- **遮蔽：** 這是月食面積的百分比。
- **規模：** 這是月食的規模。它是月亮直徑中被遮蔽的部分。
- **高峰高度：** 這是月食高峰時月亮的高度。它以地平線上方的度數顯示。
- **高峰方向：** 這是月食高峰時月亮所在的方向。

## 日食
如果你所在位置的選定日期發生日食，它將會顯示在列表中。它顯示日食的開始、高峰和結束時間，以及日食的面積。你可以點擊日食以查看更多詳細資訊：

- **時間：** 這是日食的開始、高峰和結束時間。
- **時長：** 這是日食的持續時間。
- **遮蔽：** 這是日食面積的百分比。
- **規模：** 這是日食的規模。它是太陽直徑中被遮蔽的部分。
- **高峰高度：** 這是日食高峰時太陽的高度。它以地平線上方的度數顯示。
- **高峰方向：** 這是日食高峰時太陽所在的方向。

## 日落警報
可以設定日落警報以避免在黑暗中被困在外面。要設定警報，請開啟「設定」>「天文」並啟用「日落警報」。你可以調整「日落警報時間」設定來確定你希望提前多長時間收到通知。還有一個可以用於日落警報的快速動作。請參閱下面的詳細資訊。

## 天文警報
可以為天文事件設定警報以確保你不會錯過它們。要設定警報，請開啟「設定」>「天文」，然後啟用你想要收到的有關你所在位置的警報。你可以接收流星雨、月食和日食的通知。該警報將會在活動開始前最多 24 小時顯示。

## 3D 檢視
如果你的手機有指南針，你會看到「以 3D 方式檢視」按鈕。點擊此按鈕將會開啟具有所選日期的擴增實境工具，並允許你使用相機查看太陽和月亮全天的位置。

你可以透過停用「設定 > 天文 > 使用相機進行 3D 檢視」設定來選擇點擊時停用相機。

## 快速動作
你可以在希望顯示日落警報的分頁的設定中啟用日落警報快速動作。

若要使用快速動作，請點擊日落警報快速動作按鈕以開啟或關閉。
