The Metal Detector tool allows you to detect magnetic metals like iron. It's useful for finding dropped keys or knives. It cannot detect coins or jewelry.

## Calibration
Calibrating the metal detector improves the accuracy of readings. To calibrate:

1. Hold your phone 2-3 inches (5-8 cm) above the ground with the screen facing up.
2. Press 'Calibrate'.
3. Recalibrate occasionally for accuracy.

The detector automatically calibrates when started.

## Detecting metal
The detector only finds magnetic metals like iron. To detect metal:

1. After calibrating, hold your phone 2-3 inches (5-8 cm) above the area to scan with the screen facing up.
2. Slowly move your phone, keeping the distance and orientation consistent.
3. When metal is detected, the phone will vibrate and indicate detection.

## Understanding readings
The graph shows magnetic field strength over time. Metal causes spikes up or down. If spikes occur that don't trigger the metal detector, lower the threshold to increase sensitivity.

Readings at the top of the screen show field strength in microteslas (uT).

## Threshold
Lower threshold values increase sensitivity. Higher values decrease it. Adjust with the on-screen slider.

## High sensitivity mode
This removes noise filtering for maximum sensitivity. The graph becomes noisier and false positives occur more frequently. Enable with the 'High sensitivity' switch.

## Audio feedback
Tapping the speaker icon in the top-right corner enables audio feedback. A tone will play when metal is detected, and the volume increases with field strength.

## Metal direction (experimental)
This experimental feature attempts to indicate metal direction with two on-screen dots. One points towards the metal and the other away from it. Unfortunately, it's uncertain which is which. Move your phone towards one dot; if the number in the center increases, you are getting closer. If the dots swap, it likely means you just passed over the metal. This requires a gyroscope sensor.

Enable it on 'Settings > Experimental > Show metal direction'.