The Pedometer tool can be used to track the distance traveled by counting your steps.

## Track distance and speed
To track the distance traveled, tap the start button in the bottom-right corner of the screen. You may be asked to grant the "Physical Activity" permission, which allows Trail Sense to access your phone's pedometer. You can then put your phone away and begin your hike.

The distance traveled will be shown at the top of the screen, along with the number of steps taken, your average speed, and your current speed. The average speed is calculated since the last reset, and does not factor in breaks. The current speed is calculated over the last 10 seconds. The distance traveled is calculated based on your steps and stride length. The time since the last reset is shown at the top of the screen.

You can stop the pedometer at any point (e.g., while resting or at a campsite) by clicking the stop button in the bottom-right corner. Stopping the pedometer will not reset the distance traveled, so you can resume it by clicking start again. If you want to start a new measurement, you can click the reset button instead.

## Distance alert
If the pedometer is on, you can choose to receive a notification when you've reached a certain distance traveled. To activate, click the alert icon in the top-right corner of the screen and enter the distance you want to be alerted at. Once you've reached the distance, you'll receive a notification. The distance alert uses the total distance, so if you've already traveled 4 km and want to be notified after another 1 km, set the alert to 5 km. Alternatively, you can reset the pedometer and set the alert to 1 km.

## Calibration
Before using the pedometer in Trail Sense, you should calibrate it based on your stride length. Your stride length is measured as the distance traveled with a single step. To set your stride length, you can open Settings > Pedometer and enter a value for stride length. You can use Trail Sense to estimate this value by doing the following:

1. From the Pedometer settings, click  'Estimate stride length.'
2. Ensure you are outside, have a clear view of the sky, have a straight path where you can walk at least 50 steps, and are wearing your hiking gear.
3. Press start and stand still until Trail Sense tells you to walk.
4. Start walking in a straight line - you can put your phone in your pocket or by your side as you walk.
5. When you are done, stand still for a little (for best results), then press stop.
6. You can then choose to save the stride length.

## Quick action
You can enable the Pedometer quick action in the settings for the tab you want it on.

To use the quick action, tap the Pedometer quick action button to toggle it on or off.

## Widgets
The following widgets can be placed on your device's homescreen or viewed in-app:

- **Pedometer**: Display the distance and steps taken if the pedometer is enabled.