The Triangulate Location tool can be used to determine the coordinates of a location using two known locations. This can be used to either determine your location if the GPS is not working, or to determine the coordinates of a location in the distance.

## Determine your location
If your GPS is not working and you want to determine your current location, you will first need to see two known locations. Ideally, these locations are at least 60 degrees apart for the best accuracy. The locations can be beacons or you can determine them using a map. For a guide on how to get the coordinates of a location from a map, see the 'Photo Maps' guide in the 'Calibrating from the Map Grid' section. Once you have the coordinates of the two known locations, you can use the following steps to determine your location:

1. Select 'My location' as the location to triangulate.
2. Enter the coordinates for the first known location and record the direction from where you are to that location as Location 1. You can click the camera icon on the right side of the direction field to sight the location using the camera.
3. Repeat for Location 2 using the second known location.
4. If your location can be determined, it will be displayed at the top of the screen.

## Determine a destination's location
If you are able to see a destination from multiple locations, you can use the Triangulate Location tool to determine the coordinates of the destination. 

1. Select 'Destination' as the location to triangulate.
2. Record your location and record the direction from where you are to that location as Location 1. You can tap the GPS icon next to the location field to use your current location. You can click the camera icon on the right side of the direction field to sight the location using the camera.
3. Move to a new location that's at least 30 m / 100 ft from the first location and repeat for Location 2. You can put away your phone while you move; the tool will save what you entered.
5. If the destination can be determined, it will be displayed at the top of the screen.

## Triangulation map
As you enter locations, the map at the top of the screen will update to show the intersection of the two lines. You can use this to verify that the locations you entered are correct. The map always has North at the top.

## Share options
Once you triangulate a location, you have several options:

- **Beacon**: Create a beacon at the triangulated location. This will open the Beacons tool. For more information on beacons, see the 'Beacons' guide.
- **Navigate**: Navigate to the triangulated location. This will open the Navigation tool. For more information on navigation, see the 'Navigation' guide.
- **Share...**: Share the triangulated location. This will open the share menu, where you can copy the coordinates, share as a QR code, open in a map app, or share with another app (e.g. a text message).

## Reset
You can reset the tool by clicking the reset button at the bottom of the screen.